## com.sun.jna.platform.unix
Class X11.XLeaveWindowEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XCrossingEvent
              com.sun.jna.platform.unix.X11.XLeaveWindowEvent

Enclosing interface:
  X11

    public static class X11.XLeaveWindowEvent

extends X11.XCrossingEvent

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.unix.X11.XCrossingEvent
`detail, display, focus, mode, root, same_screen, send_event, serial, state, subwindow, time, type, window, x, x_root, y, y_root`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XLeaveWindowEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.XLeaveWindowEvent

    public X11.XLeaveWindowEvent()